clear all

% Creation de la structure
Person.name = 'Czar';
Person.firstname = 'Jules';
Person.home.street = 'Road of victory';
Person.home.number = 421;
Person.home.zip = 4316;
Person.home.city = 'Roma';
Person.home.country = 'Italy';
Person.birthyear = 1923;
Person.weight = 86.65;
Person.mobile = '035/599.48.35';

% Ecriture dans le fichier
fid = fopen('myaddressbook.txt','wt');
fprintf(fid, 'Nom:\t%s\n', Person.name);
fprintf(fid, 'Prnom:\t%s\n', Person.firstname);
fprintf(fid, 'Rue: (%d)', length(Person.home.street));
fprintf(fid, '\t%s\n', Person.home.street);
fprintf(fid, 'Numro:\t%d\n', Person.home.number);
fprintf(fid, 'CP:\t%d\n', Person.home.zip);
fprintf(fid, 'Ville:\t%s\n', Person.home.city);
fprintf(fid, 'Pays:\t%s\n', Person.home.country);
fprintf(fid, 'Anne:\t%d\n', Person.birthyear);
fprintf(fid, 'Poids:\t%2.2f\n', Person.weight);
fprintf(fid, 'Mobile:\t%s\n', Person.mobile);
fclose(fid);

clear all

% Lecture du fichier
fid = fopen('myaddressbook.txt','r');
Person.name = fscanf(fid, '%*s %s',1);
Person.firstname = fscanf(fid, '%*s %s',1);
streettextlength = fscanf(fid, '%*s (%d)',1);
streettextformat = [' %', num2str(streettextlength), 'c'];
Person.home.street = fscanf(fid, streettextformat,1);
Person.home.number = fscanf(fid, '%*s %f',1);
Person.home.zip = fscanf(fid, '%*s %d',1);
Person.home.city = fscanf(fid, '%*s %s',1);
Person.home.country = fscanf(fid, '%*s %s',1);
Person.birthyear = fscanf(fid, '%*s %d',1);
Person.weight = fscanf(fid, '%*s %f',1);
Person.mobile = fscanf(fid, '%*s %s',1);

